Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.bitwise
Class BitwiseOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable
          com.singularsys.jep.standard.StandardOperatorTable
              com.singularsys.jep.misc.bitwise.BitwiseOperatorTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

Direct Known Subclasses:
  JavaOperatorTable

    public class BitwiseOperatorTable

extends StandardOperatorTable

See Also:
  Serialized Form

Field Summary
`static int` | `bitBaseNumOps`
`static int` | `OP_BITAND`
`static int` | `OP_BITCOMP`
`static int` | `OP_BITOR`
`static int` | `OP_BITXOR`
`static int` | `OP_LSHIFT`
`static int` | `OP_RSHIFT`
`static int` | `OP_URSHIFT`

Fields inherited from class com.singularsys.jep.OperatorTable
`baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

Constructor Summary
`BitwiseOperatorTable(java.lang.String powerSymbol, java.lang.String xorSymbol)`

Method Summary
`Operator` | `getBitAnd()`
`Operator` | `getBitComp()`
`Operator` | `getBitOr()`
`Operator` | `getBitXor()`
`Operator` | `getLShift()`
`Operator` | `getRShift()`
`Operator` | `getURShift()`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable
`init`

Methods inherited from class com.singularsys.jep.OperatorTable
`addOperator, addOperator, addOperator, addOperator, appendOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, insertOperator, removeOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OP_BITAND

    public static final int OP_BITAND

See Also:
  Constant Field Values

### OP_BITOR

    public static final int OP_BITOR

See Also:
  Constant Field Values

### OP_BITXOR

    public static final int OP_BITXOR

See Also:
  Constant Field Values

### OP_BITCOMP

    public static final int OP_BITCOMP

See Also:
  Constant Field Values

### OP_LSHIFT

    public static final int OP_LSHIFT

See Also:
  Constant Field Values

### OP_RSHIFT

    public static final int OP_RSHIFT

See Also:
  Constant Field Values

### OP_URSHIFT

    public static final int OP_URSHIFT

See Also:
  Constant Field Values

### bitBaseNumOps

    public static final int bitBaseNumOps

See Also:
  Constant Field Values

Constructor Detail

### BitwiseOperatorTable

    public BitwiseOperatorTable(java.lang.String powerSymbol,
                                java.lang.String xorSymbol)

Method Detail

### getBitAnd

    public Operator getBitAnd()

### getBitOr

    public Operator getBitOr()

### getBitXor

    public Operator getBitXor()

### getBitComp

    public Operator getBitComp()

### getLShift

    public Operator getLShift()

### getRShift

    public Operator getRShift()

### getURShift

    public Operator getURShift()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep